API referenceEndpoints
Read endpoint readiness and subscriptions
GET
projectAPIKeyheader
AuthorizationBearer <ch_dev_ or ch_live_ project API key>Read CASCADEHOOK_API_KEY from the local environment. Never print keys or headers. Scope is the project selected when the key was created.
endpoint_id*stringFormat
uuidRead endpoint readiness and subscriptions
application/json- response
id*stringFormat
uuidproject_id*stringFormat
uuidurl*stringHTTPS, no credentials/fragment. Maximum 2048 UTF-8 bytes. Public destination required at verification/delivery; redirects are rejected.
Match
^[Hh][Tt][Tt][Pp][Ss]://Format
uriLength
length <= 2048enabled*booleanverified_at*|Format
date-timehas_signing_secret*booleanevent_types*array<>Items
1 <= items <= 100created_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X GET 'https://api.cascadehook.com/v1/endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "url": "http://example.com", "enabled": true, "verified_at": "2019-08-24T14:15:22Z", "has_signing_secret": true, "event_types": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}